hive_flutter 0.3.1

Flutter Android iOS

Extension for Hive. Makes it easier to use Hive in Flutter apps.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  hive_flutter: ^0.3.1

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:hive_flutter/hive_flutter.dart';
80
likes
100
pub points
98%
popularity

Publisher

hivedb.dev

Extension for Hive. Makes it easier to use Hive in Flutter apps.

Homepage
Repository (GitHub)
View/report issues

Documentation

Documentation
API reference

License

Apache 2.0 (LICENSE)

Dependencies

flutter, hive, path, path_provider

More

Packages that depend on hive_flutter